{
    "name": "nodejs-typescript",
    "version": "1.0.0",
    "description": "",
    "main": "index.js",
    "scripts": {
        "gen-db-type": "npx supabase gen types typescript --project-id xpvurtyfnuyuvkehgqoo > src/constants/database.types.ts",
        "dev": "npx nodemon",
        "build": "rimraf ./dist && tsc && tsc-alias",
        "start": "node dist/index.js",
        "lint": "eslint .",
        "lint:fix": "eslint . --fix",
        "prettier": "prettier --check .",
        "prettier:fix": "prettier --write .",
        "format": "npm run prettier:fix && npm run lint:fix"
    },
    "keywords": [],
    "author": "",
    "license": "ISC",
    "devDependencies": {
        "@types/express": "^4.17.17",
        "@types/jsonwebtoken": "^9.0.2",
        "@types/morgan": "^1.9.5",
        "@types/node": "^20.5.9",
        "@typescript-eslint/eslint-plugin": "^6.5.0",
        "@typescript-eslint/parser": "^6.5.0",
        "cookie-parser": "^1.4.6",
        "eslint": "^8.48.0",
        "eslint-config-prettier": "^9.0.0",
        "eslint-plugin-prettier": "^5.0.0",
        "morgan": "^1.10.0",
        "nodemon": "^3.0.1",
        "prettier": "^3.0.3",
        "rimraf": "^5.0.1",
        "supabase": "^1.88.0",
        "ts-node": "^10.9.1",
        "tsc-alias": "^1.8.7",
        "tsconfig-paths": "^4.2.0",
        "typescript": "^5.2.2"
    },
    "dependencies": {
        "@supabase/supabase-js": "^2.33.1",
        "@types/bcryptjs": "^2.4.3",
        "@types/cookie-parser": "^1.4.4",
        "@types/cors": "^2.8.17",
        "@types/multer": "^1.4.10",
        "axios": "^1.6.0",
        "bcryptjs": "^2.4.3",
        "cors": "^2.8.5",
        "dotenv": "^16.3.1",
        "express": "^4.18.2",
        "express-validator": "^7.0.1",
        "jsonwebtoken": "^9.0.2",
        "multer": "^1.4.5-lts.1"
    }
}
